List pipeline runs of an application
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_number": 123,
"trigger": "push",
"trigger_ref": "<string>",
"head_sha": "<string>",
"base_sha": "<string>",
"pull_request_number": 123,
"is_fork": true,
"concurrency_group": "<string>",
"status": "queued",
"outcome": "<string>",
"error_class": "<string>",
"error_message": "<string>",
"requested_by": "<string>",
"rerun_of_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_by_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_by_run_number": 123,
"cancelled_by": "<string>",
"cancel_reason": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelling": true,
"authority_state": "<string>",
"authority_hash": "<string>",
"authority_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"display_title": "<string>",
"head_branch": "<string>",
"merged_pull_request_number": 123,
"head_tree_sha": "<string>",
"promotion_outcome": "<string>",
"promotion_message": "<string>",
"promoted_from_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paths_unverified": "<string>",
"full_run_source": "<string>",
"full_run_requested_by": "<string>",
"full_run_message": "<string>",
"target_environments": [
"<string>"
],
"merge_train_members_verified": true,
"reservation": {
"mode": "<string>",
"cpu_millicores": 123,
"memory_bytes": 123,
"observed_cpu_millicores": 123,
"observed_memory_bytes": 123,
"sizing": "<string>",
"peaks_cpu_millicores": 123,
"peaks_memory_bytes": 123
}
}
],
"next_cursor": "<string>"
}Pipelines
List pipeline runs of an application
Lists the pipeline runs of the repository, newest first, by keyset. Filters by status, trigger, branch, commit and requester. Needs pipelines.read.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
pipeline-runs
List pipeline runs of an application
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pipeline-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_number": 123,
"trigger": "push",
"trigger_ref": "<string>",
"head_sha": "<string>",
"base_sha": "<string>",
"pull_request_number": 123,
"is_fork": true,
"concurrency_group": "<string>",
"status": "queued",
"outcome": "<string>",
"error_class": "<string>",
"error_message": "<string>",
"requested_by": "<string>",
"rerun_of_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_by_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_by_run_number": 123,
"cancelled_by": "<string>",
"cancel_reason": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancelling": true,
"authority_state": "<string>",
"authority_hash": "<string>",
"authority_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"display_title": "<string>",
"head_branch": "<string>",
"merged_pull_request_number": 123,
"head_tree_sha": "<string>",
"promotion_outcome": "<string>",
"promotion_message": "<string>",
"promoted_from_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paths_unverified": "<string>",
"full_run_source": "<string>",
"full_run_requested_by": "<string>",
"full_run_message": "<string>",
"target_environments": [
"<string>"
],
"merge_train_members_verified": true,
"reservation": {
"mode": "<string>",
"cpu_millicores": 123,
"memory_bytes": 123,
"observed_cpu_millicores": 123,
"observed_memory_bytes": 123,
"sizing": "<string>",
"peaks_cpu_millicores": 123,
"peaks_memory_bytes": 123
}
}
],
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application whose connected repository's pipeline is addressed.
Query Parameters
Page size.
Required range:
1 <= x <= 100The next_cursor of the previous page.
Only runs in this status.
Available options:
queued, running, concluded Only runs with this trigger (push, pull_request, tag, schedule, manual, api, agent, rerun, merge_train).
Only runs on this branch.
Only runs of this full 40-character commit SHA.
Only runs requested by this actor.
Maximum string length:
300